Introducing the Chargebee CLI

List collections payment promises

Lists collections payment promises for your site. Use filter parameters to narrow results by customer, invoice, or status.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/collections_payment_promises

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
customer_id[<operator>]

optional, string filter

Filters promises by customer identifier. Supported operators : is

Example → customer_id[is] = "cbdemo_alicia"

Supported operators: is
invoice_id[<operator>]

optional, string filter

Filters promises by invoice identifier. Supported operators : is

Example → invoice_id[is] = "__demo_inv__4"

Supported operators: is
status[<operator>]

optional, enumerated string filter

Filters promises by status. Possible values are : active, fulfilled, broken, cancelled.

Supported operators : is

Example → status[is] = "active"

Supported operators: is

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Collections payment promise object

A collections_payment_promise resource from the current page of results.